/*----------------------------------------------------------------------------*/
/*
  This file is generated by Code_Saturne, a general-purpose CFD tool.
*/
/*----------------------------------------------------------------------------*/

#include "cs_defs.h"

/*----------------------------------------------------------------------------
 * Standard C library headers
 *----------------------------------------------------------------------------*/

#include <assert.h>
#include <math.h>

#if defined(HAVE_MPI)
#include <mpi.h>
#endif

/*----------------------------------------------------------------------------
 *  Local headers
 *----------------------------------------------------------------------------*/

#include "cs_headers.h"
/*----------------------------------------------------------------------------*/

BEGIN_C_DECLS

/*----------------------------------------------------------------------------*/

cs_real_t *
cs_meg_source_terms(const cs_zone_t *zone,
                    const char      *name,
                    const char      *source_type)
{
  cs_real_t *new_vals = NULL;

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_21 */
  if (strcmp(zone->name, "Zone_21") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  4.07 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_9 */
  if (strcmp(zone->name, "Zone_9") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  8.58 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_3 */
  if (strcmp(zone->name, "Zone_3") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.51 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_13 */
  if (strcmp(zone->name, "Zone_13") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  17.82 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_34 */
  if (strcmp(zone->name, "Zone_34") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.38 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_32 */
  if (strcmp(zone->name, "Zone_32") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  7.81 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_28 */
  if (strcmp(zone->name, "Zone_28") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  8.58 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_4 */
  if (strcmp(zone->name, "Zone_4") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  3.53 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_19 */
  if (strcmp(zone->name, "Zone_19") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  10.98 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_39 */
  if (strcmp(zone->name, "Zone_39") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  3.74 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_20 */
  if (strcmp(zone->name, "Zone_20") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  20.30 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_24 */
  if (strcmp(zone->name, "Zone_24") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  6.20 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_17 */
  if (strcmp(zone->name, "Zone_17") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  8.54 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_10 */
  if (strcmp(zone->name, "Zone_10") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  11.10 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_12 */
  if (strcmp(zone->name, "Zone_12") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  0.24 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_38 */
  if (strcmp(zone->name, "Zone_38") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  3.74 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_42 */
  if (strcmp(zone->name, "Zone_42") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.60 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_6 */
  if (strcmp(zone->name, "Zone_6") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  6.05 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_43 */
  if (strcmp(zone->name, "Zone_43") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  6.05 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_23 */
  if (strcmp(zone->name, "Zone_23") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.27 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_29 */
  if (strcmp(zone->name, "Zone_29") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  6.65 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_35 */
  if (strcmp(zone->name, "Zone_35") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  1.64 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_33 */
  if (strcmp(zone->name, "Zone_33") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  3.25 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_14 */
  if (strcmp(zone->name, "Zone_14") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  13.25 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_26 */
  if (strcmp(zone->name, "Zone_26") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.13 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_7 */
  if (strcmp(zone->name, "Zone_7") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  4.03 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_30 */
  if (strcmp(zone->name, "Zone_30") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  11.52 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_5 */
  if (strcmp(zone->name, "Zone_5") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  3.53 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_2 */
  if (strcmp(zone->name, "Zone_2") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.62 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_40 */
  if (strcmp(zone->name, "Zone_40") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  10.24 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_15 */
  if (strcmp(zone->name, "Zone_15") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.09 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_11 */
  if (strcmp(zone->name, "Zone_11") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  13.11 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_31 */
  if (strcmp(zone->name, "Zone_31") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  2.84 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_22 */
  if (strcmp(zone->name, "Zone_22") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  5.04 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_8 */
  if (strcmp(zone->name, "Zone_8") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  4.65 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_37 */
  if (strcmp(zone->name, "Zone_37") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  14.09 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_25 */
  if (strcmp(zone->name, "Zone_25") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  11.25 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_27 */
  if (strcmp(zone->name, "Zone_27") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  12.03 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_36 */
  if (strcmp(zone->name, "Zone_36") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  5.47 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_16 */
  if (strcmp(zone->name, "Zone_16") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  5.15 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*-------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_1 */
  if (strcmp(zone->name, "Zone_1") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  9.15 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*-------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_41 */
  if (strcmp(zone->name, "Zone_41") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  7.92 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  /*--------------------------------------------------------*/
  /* User defined source term for scalar1 over zone Zone_18 */
  if (strcmp(zone->name, "Zone_18") == 0 &&
      strcmp(name, "scalar1") == 0 && 
      strcmp(source_type, "scalar_source_term") == 0 ) {

    const int vals_size = zone->n_elts * 2;
    BFT_MALLOC(new_vals, vals_size, cs_real_t);


    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];

      new_vals[2 * e_id + 0] =  20.39 ;
      new_vals[2 * e_id + 1] =  0 ;
    }
  }
  /*--------------------------------------------------------*/

  return new_vals;
}

/*----------------------------------------------------------------------------*/

END_C_DECLS

